<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<artifactId>amos-boot-module</artifactId>
		<groupId>com.amosframework.boot</groupId>
		<version>1.0.0</version>
	</parent>

	<artifactId>amos-boot-module-biz</artifactId>
	<packaging>pom</packaging>

	<dependencies>
		<dependency>
			<groupId>org.typroject</groupId>
			<artifactId>tyboot-component-event</artifactId>
			<version>${tyboot-version}</version>
			<exclusions>
				<exclusion>
					<groupId>org.typroject</groupId>
					<artifactId>*</artifactId>
				</exclusion>
				<exclusion>
					<groupId>io.springfox</groupId>
					<artifactId>springfox-swagger2</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-mock</artifactId>
			<version>2.0.8</version>
			 <exclusions>
                <exclusion>
                    <artifactId>servlet-api</artifactId>
                    <groupId>javax.servlet</groupId>
                </exclusion>
            </exclusions>
		</dependency>
	</dependencies>

	<modules>
		<module>amos-boot-module-tzs-biz</module>
		<module>amos-boot-module-jcs-biz</module>
		<module>amos-boot-module-common-biz</module>
		<module>amos-boot-module-command-biz</module>
		<module>amos-boot-module-knowledgebase-biz</module>
		<module>amos-boot-module-patrol-biz</module>
		<module>amos-boot-module-fas-biz</module>
		<module>amos-boot-module-maintenance-biz</module>
		<module>amos-boot-module-supervision-biz</module>
	</modules>
</project>